Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 813863 - No IPv6 fallback to IPv4
Summary: No IPv6 fallback to IPv4
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix
Version: 16
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-18 15:46 UTC by fgozalo0
Modified: 2012-04-27 18:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-27 18:18:33 UTC


Attachments (Terms of Use)

Description fgozalo0 2012-04-18 15:46:01 UTC
Description of problem: in a home computer with IPv4 and IPv6 activated, but only link local IPv6 address, so IPv6 not routable, postfix daemon only tries IPv6 connection with a production mailserver with IPv6 and IPv4 working addresses.

Version-Release number of selected component (if applicable):
Fedora 16
postfix-2.8.7-1.fc16.x86_64

How reproducible:
allways

Steps to Reproduce:
1. Start Postfix with default config
2. In a terminal exec: echo Prueba | mail -s"prueba IPv6" fgozalo0@alumno.uned.es
3. 
  
Actual results:
Mail no delivered, in queue.

Logs:
Apr 18 17:40:02 fedora16 postfix/pickup[2452]: E5AB140C88: uid=0 from=<root>
Apr 18 17:40:02 fedora16 postfix/cleanup[2891]: E5AB140C88: message-id=<20120418154002.E5AB140C88@fedora16.uned.es>
Apr 18 17:40:02 fedora16 postfix/qmgr[2453]: E5AB140C88: from=<root@fedora16.uned.es>, size=442, nrcpt=1 (queue active)
Apr 18 17:40:03 fedora16 postfix/smtp[2893]: connect to mx02.puc.rediris.es[2001:720:418:ca00::8]:25: Network is unreachable
Apr 18 17:40:03 fedora16 postfix/smtp[2893]: connect to mx01.puc.rediris.es[2001:720:418:ca01::131]:25: Network is unreachable
Apr 18 17:40:03 fedora16 postfix/smtp[2893]: connect to mx01.puc.rediris.es[2001:720:418:ca01::130]:25: Network is unreachable
Apr 18 17:40:03 fedora16 postfix/smtp[2893]: connect to mx02.puc.rediris.es[2001:720:418:ca00::4]:25: Network is unreachable
Apr 18 17:40:03 fedora16 postfix/smtp[2893]: connect to mx02.puc.rediris.es[2001:720:418:ca00::3]:25: Network is unreachable
Apr 18 17:40:03 fedora16 postfix/smtp[2893]: E5AB140C88: to=<fgozalo0@alumno.uned.es>, relay=none, delay=0.36, delays=0.13/0.01/0.23/0, dsn=4.4.1, status=deferred (connect to mx02.puc.rediris.es[2001:720:418:ca00::3]:25: Network is unreachable)


Expected results:
Mail delivered.


Additional info:

# ifconfig p3p1
p3p1      Link encap:Ethernet  HWaddr 00:1C:23:FD:13:30  
          inet addr:192.168.0.33  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::21c:23ff:fefd:1330/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:3800 errors:0 dropped:0 overruns:0 frame:0
          TX packets:4169 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:2340843 (2.2 MiB)  TX bytes:894002 (873.0 KiB)
          Interrupt:17 

# host -t mx alumno.uned.es
alumno.uned.es mail is handled by 20 mx02.puc.rediris.es.
alumno.uned.es mail is handled by 20 mx01.puc.rediris.es.

# host mx02.puc.rediris.es
mx02.puc.rediris.es has address 130.206.18.134
mx02.puc.rediris.es has address 130.206.18.3
mx02.puc.rediris.es has address 130.206.18.4
mx02.puc.rediris.es has address 130.206.18.8
mx02.puc.rediris.es has address 130.206.18.132
mx02.puc.rediris.es has IPv6 address 2001:720:418:ca01::134
mx02.puc.rediris.es has IPv6 address 2001:720:418:ca00::3
mx02.puc.rediris.es has IPv6 address 2001:720:418:ca00::4
mx02.puc.rediris.es has IPv6 address 2001:720:418:ca00::8
mx02.puc.rediris.es has IPv6 address 2001:720:418:ca01::132

# host mx01.puc.rediris.es
mx01.puc.rediris.es has address 130.206.18.131
mx01.puc.rediris.es has address 130.206.18.7
mx01.puc.rediris.es has address 130.206.18.10
mx01.puc.rediris.es has address 130.206.18.11
mx01.puc.rediris.es has address 130.206.18.129
mx01.puc.rediris.es has address 130.206.18.130
mx01.puc.rediris.es has IPv6 address 2001:720:418:ca01::129
mx01.puc.rediris.es has IPv6 address 2001:720:418:ca01::130
mx01.puc.rediris.es has IPv6 address 2001:720:418:ca01::131
mx01.puc.rediris.es has IPv6 address 2001:720:418:ca00::7
mx01.puc.rediris.es has IPv6 address 2001:720:418:ca00::10
mx01.puc.rediris.es has IPv6 address 2001:720:418:ca00::11

Comment 1 fgozalo0 2012-04-26 20:41:49 UTC
I have an answer from Wietse Venema about this:

"Please, set smtp_address_preference=any, or upgrade to a Postfix
release 2.9 or later."

http://www.mail-archive.com/postfix-users@postfix.org/msg43743.html


Note You need to log in before you can comment on or make changes to this bug.